## org.eclipse.emf.ecore.xmi
Interface NameInfo

All Known Implementing Classes:
  NameInfoImpl

    public interface NameInfo

This interface represents a qualified name, as specified in "Namespaces in XML" specification.

Since:
  2.1.0

Method Summary
`java.lang.String` `getLocalPart()`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getQualifiedName()`
`void` `setLocalPart(java.lang.String localPart)`
`void` `setNamespaceURI(java.lang.String uri)`
`void` `setQualifiedName(java.lang.String name)`

Method Detail

### getLocalPart

    java.lang.String getLocalPart()

  Returns:
    the local part of qualified name

### setLocalPart

    void setLocalPart(java.lang.String localPart)

  Parameters:
    `localPart` - the local part of qualified name

### getQualifiedName

    java.lang.String getQualifiedName()

  Returns:
    the qualified name

### setQualifiedName

    void setQualifiedName(java.lang.String name)

  Parameters:
    `name` - the qualified name

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns:
    the namespace URI

### setNamespaceURI

    void setNamespaceURI(java.lang.String uri)

  Parameters:
    `uri` - the namespace URI

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.